"use strict";
exports.__esModule = true;
var ava_1 = require("ava");
var httpClient_1 = require("../src/httpClient");
var types_1 = require("../../types");
var BATCH_SIZE = 2;
var tags = ['A' + '9'.repeat(26), 'B' + '9'.repeat(26), 'C' + '9'.repeat(26)];
var approvees = ['A'.repeat(81), 'B'.repeat(81), 'C'.repeat(81)];
var command = {
    command: types_1.IRICommand.FIND_TRANSACTIONS,
    addresses: ['9'.repeat(81)],
    tags: tags,
    approvees: approvees
};
var commandWithoutBatchableKeys = {
    command: types_1.IRICommand.FIND_TRANSACTIONS,
    addresses: ['A'.repeat(81), 'B'.repeat(81)]
};
ava_1["default"]('getKeysToBatch() should return correct keys.', function (t) {
    t.deepEqual(httpClient_1.getKeysToBatch(command, BATCH_SIZE), ['tags', 'approvees']);
});
ava_1["default"]('getKeysToBatch() should return no empty array for non-batchable keys.', function (t) {
    t.deepEqual(httpClient_1.getKeysToBatch(commandWithoutBatchableKeys, BATCH_SIZE), []);
});
//# sourceMappingURL=getKeysToBatch.test.js.map